org.optaplanner.core.config.constructionheuristic.placer

## Class QueuedValuePlacerConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<C>
  - - org.optaplanner.core.config.constructionheuristic.placer.EntityPlacerConfig<QueuedValuePlacerConfig>
    - - org.optaplanner.core.config.constructionheuristic.placer.QueuedValuePlacerConfig

-     public class QueuedValuePlacerConfig
      extends EntityPlacerConfig<QueuedValuePlacerConfig>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Class<?>` | `entityClass`
    `protected ValueSelectorConfig` | `valueSelectorConfig`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueuedValuePlacerConfig()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueuedValuePlacer` | `buildEntityPlacer(HeuristicConfigPolicy configPolicy)`
    `Class<?>` | `getEntityClass()`
    `MoveSelectorConfig` | `getMoveSelectorConfig()`
    `ValueSelectorConfig` | `getValueSelectorConfig()`
    `void` | `inherit(QueuedValuePlacerConfig inheritedConfig)` Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setEntityClass(Class<?> entityClass)`
    `void` | `setMoveSelectorConfig(MoveSelectorConfig moveSelectorConfig)`
    `void` | `setValueSelectorConfig(ValueSelectorConfig valueSelectorConfig)`
    `String` | `toString()`
    `static QueuedValuePlacerConfig` | `unfoldNew(HeuristicConfigPolicy configPolicy, MoveSelectorConfig templateMoveSelectorConfig)`

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `copyConfig, deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### entityClass

          protected Class<?> entityClass

    - #### valueSelectorConfig

          protected ValueSelectorConfig valueSelectorConfig

  - ### Constructor Detail

    - #### QueuedValuePlacerConfig

          public QueuedValuePlacerConfig()

  - ### Method Detail

    - #### unfoldNew

          public static QueuedValuePlacerConfig unfoldNew(HeuristicConfigPolicy configPolicy,
                                                          MoveSelectorConfig templateMoveSelectorConfig)

    - #### getEntityClass

          public Class<?> getEntityClass()

    - #### setEntityClass

          public void setEntityClass(Class<?> entityClass)

    - #### getValueSelectorConfig

          public ValueSelectorConfig getValueSelectorConfig()

    - #### setValueSelectorConfig

          public void setValueSelectorConfig(ValueSelectorConfig valueSelectorConfig)

    - #### getMoveSelectorConfig

          public MoveSelectorConfig getMoveSelectorConfig()

    - #### setMoveSelectorConfig

          public void setMoveSelectorConfig(MoveSelectorConfig moveSelectorConfig)

    - #### buildEntityPlacer

          public QueuedValuePlacer buildEntityPlacer(HeuristicConfigPolicy configPolicy)

      Specified by:
        `buildEntityPlacer` in class `EntityPlacerConfig<QueuedValuePlacerConfig>`

    - #### inherit

          public void inherit(QueuedValuePlacerConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Overrides:
        `inherit` in class `EntityPlacerConfig<QueuedValuePlacerConfig>`
      Parameters:
        `inheritedConfig` - never null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractConfig<QueuedValuePlacerConfig>`

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.